> ## Documentation Index
> Fetch the complete documentation index at: https://docs.betterstacks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# update link



## OpenAPI

````yaml patch /api/v1/links/{id}
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://{defaultHost}
    variables:
      defaultHost:
        default: api.betterstacks.com
  - url: https://betterstacks.com/
    description: Production server
  - url: https://qa.betterstacks.com/
    description: Qa server
security:
  - bearerAuth: []
paths:
  /api/v1/links/{id}:
    parameters:
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    patch:
      tags:
        - Links
      summary: update link
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                description:
                  type: string
                target_url:
                  type: string
                tags:
                  type: array
                  items:
                    type: string
                collections:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
              required:
                - title
                - description
      responses:
        '200':
          description: successful
        '422':
          description: unprocessable entity
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: X-Authorization
      in: header

````